Subject: Re: how was debate on _GNU_SOURCE resolved? can't find pthread_getattr_np
From: mike marchywka <[email-masked]>
To: [email-masked]
Date: Sun, 28 Mar 2010 10:51:15 -0400
List-Id: <cygwin.cygwin.com>

On 3/28/10, mike marchywka <[email-masked]> wrote:
> On 3/28/10, Yaakov (Cygwin/X) wrote:
>> On 2010-03-27 10:23, mike marchywka wrote:
>>> I'm now getting this error and don't seem to be able to find
>>> the getattr_np thing by grepping through includes,
>>>
>>> ../JavaScriptCore/runtime/Collector.cpp:683: error: `pthread_getattr_np'
>>> was not
>>>   declared in this scope
>>> ../JavaScriptCore/runtime/Collector.cpp:685: error:
>>> `pthread_attr_getstack' was
>>> not declared in this scope
>>> make[1]: *** [obj/release/Collector.o] Error 1
>>
>> I'm still not sure why you're trying to build Qt4 yourself when the
>> distro already includes it (with the patches necessary for it to compile.
>
> At this point  curiosity. They seem to have a build called cygwin-g++
> and I thought it might be easy to patch. I needed to dig thought the
> code at some point anyway, so this could be interesting. Also trying to
> see what comes up between 1.5 and 1.7. etc.
>
>
> Its starting to look like I will have to do that however. Simple
> things like the time zone support seemed to be well guarded
> with ifdef, not sure what to do about this yet...
>
>
>
>

Actually, after rereading my original post maybe the NP
stuff is walled off, I was too busy writing the example for chris LOL,

#if HAVE(PTHREAD_NP_H)
#include <pthread_np.h>
#endif

>>
>>
>> Yaakov
>> Cygwin/X
>>
>

-- 
[email-masked]
note new address 2009-12-16:
Mike Marchywka
1975 Village Round
Marietta GA 30064
415-264-8477 (w)<- use this
404-788-1216 (C)<- leave message
989-348-4796 (P)<- emergency only
[email-masked]
Note: If I am asking for free stuff, I normally use for hobby/non-profit
information but may use in investment forums, public and private.
Please indicate any concerns if applicable.
Note: hotmail is censoring incoming mail using random criteria beyond
my control and often hangs my browser
but all my subscriptions are here..., try also [email-masked]

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple